# $Revision: 1.23 $, $Date: 2011/11/03 05:59:04 $
# TODO
# - save config to /etc:
# $ phpcs --config-set default_standard PEAR
# PHP Warning:  file_put_contents(/usr/share/pear/data/PHP_CodeSniffer/CodeSniffer.conf): failed to open stream: Permission denied in /usr/share/pear/PHP/CodeSniffer.php on line 1532
%define		status		alpha
%define		pearname	PHP_CodeSniffer
%define		php_min_version 5.1.2
%include	/usr/lib/rpm/macros.php
Summary:	PHP_CodeSniffer tokenises PHP code and detects violations of a defined set of coding standards
Summary(pl.UTF-8):	PHP_CodeSniffer analizuje kod PHP pod kątem naruszeń zdefiniowanych standardów kodowania
Name:		php-pear-%{pearname}
Version:	1.3.1
Release:	1
Epoch:		1
License:	BSD License
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{pearname}-%{version}.tgz
# Source0-md5:	2a1e54fb791545bac0fabc4009e19afb
Patch0:		case-sensitive.patch
URL:		http://pear.php.net/package/PHP_CodeSniffer/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.580
Requires:	php-common >= 4:%{php_min_version}
Requires:	php-pear
Suggests:	php-pear-PHP_Timer
Suggests:	php-phpunit-PHP_Timer
Obsoletes:	php-pear-PHP_CodeSniffer-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq pear(PHP/CodeSniffer/../CodeSniffer.php) pear($dir/{$standard}CodingStandard.php) pear(PHP/Timer.*)

%description
PHP_CodeSniffer is a PHP5 script that tokenises and "sniffs" PHP code
to detect violations of a defined set of coding standards. It is an
essential development tool that ensures that your code remains clean
and consistent. It can even help prevent some common semantic errors
made by developers.

In PEAR status of this package is: %{status}.

%description -l pl.UTF-8
PHP_CodeSniffer jest skryptem PHP5 służącym do rozkładu tekstu kodu
PHP w celu wykrycia naruszeń pewnych zdefiniowanych standardów
kodowania. Jest to istotne narzędzie, dzięki któremu można zapewnić
czystość i spójność kodu. Może także pomóc w zapobieganiu popełniania
przez programistów pewnych częstych błędów semantycznych.

Ta klasa ma w PEAR status: %{status}.

%prep
%pear_package_setup
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_pear_dir},%{_bindir}}
%pear_package_install

install -p .%{_bindir}/phpcs $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt
%{php_pear_dir}/.registry/*.reg
%attr(755,root,root) %{_bindir}/phpcs
%{php_pear_dir}/PHP/CodeSniffer
%{php_pear_dir}/PHP/CodeSniffer.php

%{php_pear_dir}/data/PHP_CodeSniffer

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-PHP_CodeSniffer.spec,v $
Revision 1.23  2011/11/03 05:59:04  glen
- up to 1.3.1

Revision 1.22  2011/08/03 17:11:15  arekm
- epoch 2; rel 2, so will be never that previous RC

Revision 1.21  2011/07/31 20:41:50  glen
- up to 1.3.0 release

Revision 1.20  2011/01/23 11:01:20  glen
- up to real 1.3.0RC2

Revision 1.19  2011/01/23 01:22:34  sparky
- tests are no longer installed - don't try to remove them

Revision 1.18  2010/12/21 10:18:36  glen
- new snap, svn r306534

Revision 1.17  2010/12/20 09:33:39  glen
- new snap (r306408)

Revision 1.16  2010/11/19 09:42:38  glen
- new snap:
  - Fixed bug #17860 : isReference function fails with references in array
  - Fixed bug #18073 : Squiz.PHP.NonExecutableCode fault

Revision 1.15  2010/11/18 17:28:11  glen
- 1.3.0RC2 svn snap

Revision 1.14  2010/11/18 15:33:30  glen
- pff, make exclude rules case sensitive

Revision 1.13  2010/11/16 12:38:36  glen
- up to 1.3.0RC1

Revision 1.12  2010/08/22 08:51:22  glen
- ensure rpmbuild macros present

Revision 1.11  2010/08/21 19:08:20  glen
- updated deps with pearize.sh
- release 2

Revision 1.10  2010/08/19 14:21:22  glen
- up to 1.3.0a1

Revision 1.9  2010/05/20 19:45:52  glen
- config path todo

Revision 1.8  2010/05/03 11:29:40  glen
- up to 1.2.2

Revision 1.7  2008/07/18 21:45:08  adamg
- updated to 1.1.0

Revision 1.6  2008-01-31 12:16:09  glen
- rel 2

Revision 1.5  2007-12-22 23:15:33  adamg
- updated to 1.0.0

Revision 1.4  2007/09/24 14:30:21  adamg
- updated to 0.9.0

Revision 1.3  2007/09/02 13:44:05  qboosh
- pl fix

Revision 1.2  2007/08/25 15:16:56  adamg
- UTF-8

Revision 1.1  2007/08/25 15:06:23  adamg
- new
